.modal {
  &__background {
    background-color: rgba($color: #838080, $alpha: 0.4);
    width: 100vw;
    height: 100vh;
    position: fixed;
    left: 0;
    top: 0;
  }
  &__component {
    background-color: red;
    display: flex;
    flex-direction: column;
    & > :first-child {
      background-color: rgba($color: grey, $alpha: 0.2);
      padding: 10px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      color: white;
    }
  }
  &__close {
    width: 20px;
    height: 20px;
    background-image: url("../../images/icon-close.png");
    background-size: cover;
    cursor: pointer;
  }
  &__text {
    font-size: 15px;
    padding: 25px;
    color: white;
    text-align: center;
    white-space: pre-wrap;
  }
  &__buttons {
    display: flex;
    justify-content: center;
    & > button {
      margin-right: 20px;
      width: 80px;
      height: 40px;
      color: white;
      background-color: rgba($color: black, $alpha: 0.3);
      border: none;
      border-radius: 5px;
      margin-bottom: 20px;
      cursor: pointer;
    }
  }
}
